﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadControls_SL_ModifyWin8Theme
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            StyleManager.ApplicationTheme = new Windows8Theme();
            string hexaColor = "#ff0173bc";//"#header";
            Color blue = Color.FromArgb(
                      Convert.ToByte(hexaColor.Substring(1, 2), 16),
                      Convert.ToByte(hexaColor.Substring(3, 2), 16),
                      Convert.ToByte(hexaColor.Substring(5, 2), 16),
                      Convert.ToByte(hexaColor.Substring(7, 2), 16));

            Windows8Palette.Palette.AccentColor = blue;
            // Windows8Colors.PaletteInstance.AccentColor = blue;

            string hexaColorB = "#ffdbedf8";//"#konten";
            Color semiblue = Color.FromArgb(
                      Convert.ToByte(hexaColorB.Substring(1, 2), 16),
                      Convert.ToByte(hexaColorB.Substring(3, 2), 16),
                      Convert.ToByte(hexaColorB.Substring(5, 2), 16),
                      Convert.ToByte(hexaColorB.Substring(7, 2), 16));

            Windows8Palette.Palette.MainColor = semiblue;
            //Windows8Colors.PaletteInstance.MainColor = semiblue;

            string hexaColorC = "#ff9ecae7";//"#highlight";
            Color semigrey = Color.FromArgb(
                      Convert.ToByte(hexaColorC.Substring(1, 2), 16),
                      Convert.ToByte(hexaColorC.Substring(3, 2), 16),
                      Convert.ToByte(hexaColorC.Substring(5, 2), 16),
                      Convert.ToByte(hexaColorC.Substring(7, 2), 16));

            Windows8Palette.Palette.BasicColor = semigrey;
            //Windows8Colors.PaletteInstance.BasicColor = semigrey;

            string hexaColorD = "#ff000000";//"#teksstrong";
            Color semolo = Color.FromArgb(
                      Convert.ToByte(hexaColorD.Substring(1, 2), 16),
                      Convert.ToByte(hexaColorD.Substring(3, 2), 16),
                      Convert.ToByte(hexaColorD.Substring(5, 2), 16),
                      Convert.ToByte(hexaColorD.Substring(7, 2), 16));

            Windows8Palette.Palette.StrongColor = semolo;
            // Windows8Colors.PaletteInstance.StrongColor = semolo;

            string hexaColorE = "#ff000000";//"hitam/636363";
            Color semolowaru = Color.FromArgb(
                      Convert.ToByte(hexaColorE.Substring(1, 2), 16),
                      Convert.ToByte(hexaColorE.Substring(3, 2), 16),
                      Convert.ToByte(hexaColorE.Substring(5, 2), 16),
                      Convert.ToByte(hexaColorE.Substring(7, 2), 16));

            Windows8Palette.Palette.MarkerColor = semolowaru;
            // Windows8Colors.PaletteInstance.MarkerColor = semolowaru;

            string hexaColorF = "#ff923939";//"validasi";
            Color bunderanwaru = Color.FromArgb(
                      Convert.ToByte(hexaColorF.Substring(1, 2), 16),
                      Convert.ToByte(hexaColorF.Substring(3, 2), 16),
                      Convert.ToByte(hexaColorF.Substring(5, 2), 16),
                      Convert.ToByte(hexaColorF.Substring(7, 2), 16));

            Windows8Palette.Palette.ValidationColor = bunderanwaru;
            // Windows8Colors.PaletteInstance.ValidationColor = bunderanwaru;
            Windows8Palette.Palette.FontFamily = new FontFamily("Tahoma");
            //Windows8Colors.PaletteInstance.FontFamily = new FontFamily("Tahoma");

            Windows8Palette.Palette.FontSize = 10.667;

            //Windows8Colors.PaletteInstance.FontSize = 10.667;
            InitializeComponent();
        }

        private int iteration = 1;

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            switch (iteration)
            {
                case 1:
                    Windows8Palette.Palette.MainColor = Colors.Green;
                    Windows8Palette.Palette.AccentColor = Colors.Red;
                    Windows8Palette.Palette.BasicColor = Colors.LightGray;
                    Windows8Palette.Palette.MarkerColor = Colors.Red;

                    break;
                case 2:
                    Windows8Palette.Palette.MainColor = Colors.LightGray;
                    Windows8Palette.Palette.AccentColor = Colors.Green;
                    Windows8Palette.Palette.BasicColor = Colors.White;
                    Windows8Palette.Palette.MarkerColor = Colors.Red;
                    break;
                case 3:
                    Windows8Palette.Palette.MainColor = Colors.Black;
                    Windows8Palette.Palette.AccentColor = Colors.Green;
                    Windows8Palette.Palette.BasicColor = Colors.White;
                    Windows8Palette.Palette.MarkerColor = Colors.White;
                    break;
                case 4:
                    Windows8Palette.Palette.MainColor = Colors.Orange;
                    Windows8Palette.Palette.AccentColor = Colors.Cyan;
                    Windows8Palette.Palette.BasicColor = Colors.Purple;
                    Windows8Palette.Palette.MarkerColor = Colors.Black;
                    break;
                case 5:
                    Windows8Palette.Palette.MainColor = Colors.Purple;
                    Windows8Palette.Palette.AccentColor = Colors.Yellow;
                    Windows8Palette.Palette.BasicColor = Colors.Black;
                    Windows8Palette.Palette.MarkerColor = Colors.Brown;
                    break;
                default:
                    
                    break;
            }
            iteration++;
            if (iteration > 5)
            {
                iteration = 1;
            }
        }
    }
}
